com.ihr.xbrl.dts

## Class ConceptHeader

- java.lang.Object
- - com.ihr.xbrl.dts.ConceptHeader

-     public class ConceptHeader
      extends java.lang.Object

  The Class ConceptHeader.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConceptHeader(ConceptHeader parent, XBRLTreeNode el)` Creates a new concept in the header of the table.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(ConceptHeader child)` Adds the child.
    `short` | `findNodeAndGetCol(javax.swing.tree.MutableTreeNode node)` Find node and get col.
    `ConceptHeader[]` | `getChildren()` Gets the children.
    `short` | `getCol()` Gets the col.
    `short` | `getLength()` Count the number of physical cells that are required to represent this header expanded to all his children elements.
    `int` | `getLevelsDown()` Gets the levels down.
    `XBRLTreeNode` | `getNode()` Gets the node.
    `ConceptHeader` | `getParent()` Gets the parent.
    `ConceptHeader` | `getRoot()` Returns the first node in the tree.
    `void` | `setColNumbers(short prevCols)` Sets the col numbers.
    `void` | `setRowNumbers(int i)` Sets the row numbers.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConceptHeader

          public ConceptHeader(ConceptHeader parent,
                       XBRLTreeNode el)

      Creates a new concept in the header of the table.
      Parameters:
        `parent` - the parent ConceptHeader if any or null if this is the root
        `el` - the el

  - ### Method Detail

    - #### getNode

          public XBRLTreeNode getNode()

      Gets the node.
      Returns:
        the node

    - #### setRowNumbers

          public void setRowNumbers(int i)

      Sets the row numbers.
      Parameters:
        `i` - the new row numbers

    - #### getParent

          public ConceptHeader getParent()

      Gets the parent.
      Returns:
        ConceptHeader

    - #### getRoot

          public ConceptHeader getRoot()

      Returns the first node in the tree.
      Returns:
        ConceptHeader

    - #### getLength

          public short getLength()

      Count the number of physical cells that are required to represent this header expanded to all his children elements. Each element will have its own cell.
      Returns:
        int

    - #### getLevelsDown

          public int getLevelsDown()

      Gets the levels down.
      Returns:
        the levels down

    - #### findNodeAndGetCol

          public short findNodeAndGetCol(javax.swing.tree.MutableTreeNode node)

      Find node and get col.
      Parameters:
        `node` - XBRLTreeNode
      Returns:
        short

    - #### setColNumbers

          public void setColNumbers(short prevCols)

      Sets the col numbers.
      Parameters:
        `prevCols` - the new col numbers

    - #### addChild

          public void addChild(ConceptHeader child)

      Adds the child.
      Parameters:
        `child` - the child

    - #### getChildren

          public ConceptHeader[] getChildren()

      Gets the children.
      Returns:
        the children

    - #### getCol

          public short getCol()

      Gets the col.
      Returns:
        the col